body {
    font-family: "sans-serif";
}
.header {
    padding-top: 45px;
    padding-bottom: 66px;
}

.nav {
    padding-bottom: 51px;

    &__nav-list {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
    }
    &__nav-item {
        text-transform: $textTransform;
        font-weight: 400;
        font-size: 11px;
        line-height: 22px;
        letter-spacing: 1.1px;
        color: $textColor;
        cursor: $pointer;

        &--active {
            color: #57A4A4;
        }
    }
}



@media (min-width: 321px) and (max-width: 768px) {
    
    .nav {
        padding-bottom: 0;
        display: block;
        transform: translateX(-100%);
        transition: transform .8s ease-in;

        &__nav-link:hover {
            background: #E5E5E5;
        }
    
        &__nav-list {
            display: block;
            background-color: #F5F5F5;
            position: absolute;
            right: 50px;
            width: 182px;
            top: -22px;
        }
        &__nav-link {
            padding: 5px 0px 5px 12px;
        }
        
    }
    .active {
        .nav__nav-list {
            right: 0;
        }
    }
    .nav.active {
        transform: translateX(0%);
        transition: transform .8s ease-in;
    }
        
    
    .header{
        padding-bottom: 38px;
        position: relative;

        &__img {
            width: 100%;
        }
    }
    .menu {
        display: flex;
        justify-content: flex-end;
        // transform: translateX(0%);
        // transition: transform .8s ease-in;

        
        
        &__btn {
            width: 44px;
            height: 37px;
            position: relative;
            z-index: 2;
            overflow: hidden;
            background-color: #000000;
            margin-bottom: 23px;
    
        }
        &__btn::before,
        &__btn > span,
        &__btn::after {
            content: '';
            display: block;
            width: 17px;
            height: 2px;
            border-radius: 2px;
            background: #fff;
            position: absolute;
            left: 50%;
            transform: translate(-50%, -50%);
            transition-duration: .3s;
            transition-timing-function: ease;
        }
        
        &__btn::before {
            bottom: 20px;
        }
        
        &__btn > span {
            bottom: 16px;
        }
        
        &__btn::after {
            bottom: 12px;
        }

    }

    .menu .menu__btn::before,
    .menu .menu__btn > span,
    .menu .menu__btn::after {
        content: '';
        display: block;
        width: 20px;
        height: 2px;
        border-radius: 2px;
        background: #fff;
        position: absolute;
        left: 50%;
        transform: translate(-50%, -50%);
        transition-duration: .3s;
        transition-timing-function: ease;
    }
        
    .menu .menu__btn::before {
        top: calc(50% - 8px);
        transition-property: top, transform;
    }
        
    .menu .menu__btn > span {
        top: 50%;
        transition-property: opacity;
    }
        
    .menu .menu__btn::after {
        top: calc(50% + 8px);
        transition-property: top, transform;
    }
        
    .menu.active .menu__btn::before {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }
        
    .menu.active .menu__btn > span {
        opacity: 0;
    }
        
    .menu.active .menu__btn::after {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }
}


@media (min-width: 1px) and (max-width: 320px) {
    .nav {
        padding-bottom: 0;
        display: block;
        transform: translateX(-100%);
        transition: transform .8s ease-in;

        &__nav-link:hover {
            background: #E5E5E5;
        }
    
        &__nav-list {
            display: block;
            background-color: #F5F5F5;
            position: absolute;
            right: 0;
            width: 182px;
            height: 160px;
            top: -22px;
        }
        &__nav-item {
            padding: 5px 0 5px 12px;
        }
    }
    .nav.active {
        transform: translateX(0%);
        transition: transform .8s ease-in;
    }
    .header{
        padding-bottom: 38px;
        position: relative;

        &__img {
            width: 100%;
        }
    }
    header {
        display: flex;
        justify-content: flex-end;
    }
    
    .menu {
        display: flex;
        justify-content: flex-end;
        // transform: translateX(0%);
        // transition: transform .8s ease-in;
        position: relative;
        
        &__btn {
            width: 44px;
            height: 37px;
            position: relative;
            z-index: 2;
            overflow: hidden;
            background-color: #000000;
            margin-bottom: 23px;
    
        }

        &__btn::before,
        &__btn > span,
        &__btn::after {
            content: '';
            display: block;
            width: 17px;
            height: 2px;
            border-radius: 2px;
            background: #fff;
            position: absolute;
            left: 50%;
            transform: translate(-50%, -50%);
            transition-duration: .3s;
            transition-timing-function: ease;
        }
        
        &__btn::before {
            bottom: 20px;
        }
        
        &__btn > span {
            bottom: 16px;
        }
        
        &__btn::after {
            bottom: 12px;
        }
    }
}
    .menu .menu__btn::before,
    .menu .menu__btn > span,
    .menu .menu__btn::after {
        content: '';
        display: block;
        width: 20px;
        height: 2px;
        border-radius: 2px;
        background: #fff;
        position: absolute;
        left: 50%;
        transform: translate(-50%, -50%);
        transition-duration: .3s;
        transition-timing-function: ease;
    }
        
    .menu .menu__btn::before {
        top: calc(50% - 8px);
        transition-property: top, transform;
    }
        
    .menu .menu__btn > span {
        top: 50%;
        transition-property: opacity;
    }
        
    .menu .menu__btn::after {
        top: calc(50% + 8px);
        transition-property: top, transform;
    }
        
    .menu.active .menu__btn::before {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }
        
    .menu.active .menu__btn > span {
        opacity: 0;
    }
        
    .menu.active .menu__btn::after {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }
